//Generer income og age
gen income0_2=0 if income !=.
replace income0_2=1 if income==1
gen income2_3=0 if income !=.
replace income2_3=1 if income==2
gen income3_4=0 if income !=.
replace income3_4=1 if income==3
gen income4_5=0 if income !=.
replace income4_5=1 if income==4
gen income5_6=0 if income !=.
replace income5_6=1 if income==5
gen income6_=0 if income !=.
replace income6_=1 if income==6

gen teacher0_25=0 if teacher_age !=.
replace teacher0_25=1 if teacher_age==1
gen teacher25_29=0 if teacher_age !=.
replace teacher25_29=1 if teacher_age==2
gen teacher30_39=0 if teacher_age !=.
replace teacher30_39=1 if teacher_age==3
gen teacher40_49=0 if teacher_age !=.
replace teacher40_49=1 if teacher_age==4
gen teacher50_59=0 if teacher_age !=.
replace teacher50_59=1 if teacher_age==5
gen teacher60_=0 if teacher_age !=.
replace teacher60_=1 if teacher_age==6

//dummier for (6)-(10)
gen teacher_exp_sqr = teacher_exp^2
gen teacher_fem_girl = teacher_fem*girl
gen teacher_fem_clsize= teacher_fem*clsize
gen teacher_cert_clsize= teacher_cert*clsize
gen sameteacher4_plus_clsize= sameteacher4_plus*clsize

//dummier for (11)-(12)
gen teacher_exp_girl = teacher_exp*girl
//gen teacher_fem_girl = teacher_fem*girl //Generes i (6)-(10)
gen teacher_cert_girl = teacher_cert*girl
gen sameteacher4_plus_girl = sameteacher4_plus*girl

//dummier for (13)-(14)
gen teacher_exp_fem = teacher_exp*teacher_fem
gen teacher_cert_fem = teacher_cert*teacher_fem
gen sameteacher4_plus_fem = sameteacher4_plus*teacher_fem
gen teacher0_25_fem = teacher0_25 * teacher_fem

/*
Estimerer modell (1)-(5) og lager tilsvarende tabell 1 
*/
reg read teacher_exp teacher_fem teacher_cert sameteacher4_plus teacher0_25 //InteresseVAR
est store m0
reg read teacher_exp teacher_fem teacher_cert sameteacher4_plus teacher0_25  income2_3 income3_4 income4_5 income6_ //Kontroller for inntekt
est store m1
reg read teacher_exp teacher_fem teacher_cert sameteacher4_plus teacher0_25 girl  //Kontroller for jente
est store m2
reg read teacher_exp teacher_fem teacher_cert sameteacher4_plus teacher0_25 girl  income2_3 income3_4 income4_5 income6_  //Kontroller jente og inntekt
est store m3
reg read teacher_exp teacher_fem teacher_cert sameteacher4_plus teacher0_25 girl  income2_3 income3_4 income4_5 income6_ clsize //Jente, Inntekt og clsize
est store m4
outreg2 [m0 m1 m2 m3 m4] using Table1, bdec(3) sdec(3) tstat word 2aster replace



/*
Estimerer modell (6)-(10) og lager tilsvarende tabell 2 
*/
reg read teacher_exp teacher_exp_sqr teacher_fem teacher_cert sameteacher4_plus teacher0_25
est store m0
reg read teacher_exp teacher_exp_sqr teacher_fem teacher_cert sameteacher4_plus teacher0_25 girl  income2_3 income3_4 income4_5 income6_ clsize 
est store m1

reg read teacher_exp teacher_fem  teacher_cert sameteacher4_plus teacher0_25 girl teacher_fem_girl
est store m2
reg read teacher_exp teacher_fem  teacher_cert sameteacher4_plus teacher0_25 girl teacher_fem_girl income2_3 income3_4 income4_5 income6_ clsize 
est store m3
reg read teacher_exp teacher_fem  teacher_cert sameteacher4_plus teacher0_25 teacher_fem_clsize teacher_cert_clsize sameteacher4_plus_clsize girl income2_3 income3_4 income4_5 income6_ clsize 
est store m4
outreg2 [m0 m1 m2 m3 m4] using Table2, bdec(3) sdec(3) tstat word 2aster replace

/*
Estimerer modell (11)-(14) og lager tilsvarende tabell 3 
*/
reg read teacher_exp teacher_fem teacher_cert sameteacher4_plus teacher0_25 girl teacher_exp_girl teacher_fem_girl teacher_cert_girl sameteacher4_plus_girl
est store m0
reg read teacher_exp teacher_fem teacher_cert sameteacher4_plus teacher0_25 girl teacher_exp_girl teacher_fem_girl teacher_cert_girl sameteacher4_plus_girl  income2_3 income3_4 income4_5 income6_ clsize
est store m1
reg read teacher_exp teacher_cert sameteacher4_plus teacher0_25 teacher_fem teacher_exp_fem teacher_cert_fem sameteacher4_plus_fem teacher0_25_fem
est store m2
reg read teacher_exp teacher_cert sameteacher4_plus teacher0_25 teacher_fem teacher_exp_fem teacher_cert_fem sameteacher4_plus_fem teacher0_25_fem girl  income2_3 income3_4 income4_5 income6_ clsize
est store m3

outreg2 [m0 m1 m2 m3] using Table3, bdec(3) sdec(3) tstat word 2aster replace

estat hettest //B-P test for heteroskedastisitet